> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/verzekeren/herbouwwaarde-api/authenticatie-invoer-en-resultaat.md).

# Authenticatie, invoer en resultaat

## Haal herbouw gegevens op voor een object

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/rebuild`

#### Headers

| Name                                           | Type   | Description                                                                                              |
| ---------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark>    | string | Unieke API-sleutel van Altum. Maak er een op [https://platform.altum.ai](https://platform.altum.ai/auth) |
| Content-Type<mark style="color:red;">\*</mark> | string | application/json                                                                                         |

#### Request Body

<table><thead><tr><th width="237">Name</th><th>Type</th><th>Description</th><th>Default</th></tr></thead><tbody><tr><td>postcode<mark style="color:red;">*</mark></td><td>string</td><td>Postcode van het object</td><td></td></tr><tr><td>valuationdate</td><td>string</td><td>Waarderingsdatum (standaard is datum van boeking)</td><td></td></tr><tr><td>houseaddition</td><td>string</td><td>Huisnummer toevoegingen</td><td></td></tr><tr><td>housenumber<mark style="color:red;">*</mark></td><td>number</td><td>Huisnummer van het object</td><td></td></tr><tr><td>renovated</td><td>boolean</td><td><p>Is de badkamer, keuken en/of woonkamer gerenoveerd?</p><p>false = no</p><p>true = yes</p></td><td>false</td></tr><tr><td>wko_installation</td><td>boolean</td><td><p>Is er WKO installatie?</p><p>false = no</p><p>true = yes</p></td><td>false</td></tr><tr><td>foundation_not_insured</td><td>boolean</td><td><p>Is de fundering verzekerd?</p><p>false = no</p><p>true = yes</p></td><td>false</td></tr><tr><td>number_solar_panels</td><td>integer</td><td>Aantal zonnepanelen</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK Succesvolle reactie" %}

```
{
  "Output": {
    "num_id": "0499200002030602",
    "bag_id": "0499010002023718",
    "pand_id": "0499100002015826",
    "postcode": "2771DS",
    "housenumber": "87",
    "houseaddition": "",
    "region": "Oost-Zuid-Holland",
    "city": "Boskoop",
    "street": "Zuidkade",
    "build_year": "1961",
    "inner_surface_area": "131",
    "outer_surface_area": "1605",
    "volume": "548",
    "volume_source": "Dataland",
    "house_type_generic": "Huis",
    "house_type": "Vrijstaande woning",
    "energy_label": "A+++",
    "energy_calculation_method": "NTA 8800:2024 (basisopname woningbouw)",
    "energy_calculation_code": "NTA8800",
    "monument_status": "Geen monument / Onbekend",
    "usage_indication": "Er is een gebruiker die tevens (mede)eigenaar is.",
    "building_status": "Pand in gebruik",
    "building_purpose": "woonfunctie",
    "rebuild_value": "578260",
    "accuracy_indicator": "5",
    "woz_value": "743000",
    "parcel_value": "62595",
    "building_value": "680405",
    "number_of_rooms": null,
    "number_of_building_layers": "2",
    "number_of_extrabuildings": null,
    "main_building_surface_area": null,
    "extrabuildings_surface_area": null,
    "listing_status": null,
    "asking_price": null,
    "asking_price_date": null,
    "last_sold_date": null,
    "wall_material": "Steen",
    "wall_material_probability": {
      "Hout": "0.05",
      "Steen": "0.70",
      "Beton": "0.25"
    },
    "floor_material": "Steen/beton",
    "floor_material_probability": {
      "Hout": "0.40",
      "Steen/beton": "0.48",
      "Zowel hout als steen/beton": "0.12"
    },
    "roof_type": "slanted",
    "roof_material": "Pannen",
    "roof_material_probability": {
      "Pannen": "0.70",
      "(Asfalt)bitumen": "0.25",
      "Asbest golfplaten": "0.05"
    },
    "roof_construction": null,
    "roof_surfaces": [
      {
        "orientation": "SW",
        "area": "9.9",
        "perimeter": "11.3",
        "angle": "12.8"
      },
      {
        "orientation": "ES",
        "area": "81.8",
        "perimeter": "32.9",
        "angle": "22.8"
      },
      {
        "orientation": "WN",
        "area": "29.1",
        "perimeter": "18.7",
        "angle": "22.8"
      },
      {
        "orientation": "WN",
        "area": "11.0",
        "perimeter": "12.0",
        "angle": "20.2"
      },
      {
        "orientation": "SW",
        "area": "11.2",
        "perimeter": "12.4",
        "angle": "38.0"
      },
      {
        "orientation": "NE",
        "area": "11.6",
        "perimeter": "10.2",
        "angle": "37.4"
      }
    ],
    "afd_1_0": {
      "PCODE": "2771DS",
      "HUISNR": "87",
      "TOEVOEG": "",
      "COROP": "Oost-Zuid-Holland",
      "PLAATS": "Boskoop",
      "STRAAT": "Zuidkade",
      "BOUWJR": "1961",
      "OPPWON": "131",
      "PERCOPP": "1605",
      "INHM3": "548",
      "TYPEWON": {
        "codelist": "ADNTYP",
        "code": "2"
      },
      "BESTEM": {
        "codelist": "ADNBSM",
        "description": "Wonen",
        "code": "17"
      },
      "HERBWRD": "578260",
      "KAMERS": null,
      "AARDBW": {
        "codelist": "ADNBMU",
        "description": "Steen",
        "code": "T"
      },
      "AARDVLR": {
        "codelist": "ADNBVL",
        "description": "Steen/beton",
        "code": "S"
      },
      "AARDDAK": {
        "codelist": "ADNBDA",
        "description": "Pannen",
        "code": "P"
      }
    },
    "afd_2_0": {
      "postalCode": "2771DS",
      "houseNumber": "87",
      "houseNumberAddition": "",
      "nutsLevelThreeAreaName": "Oost-Zuid-Holland",
      "city": "Boskoop",
      "street": "Zuidkade",
      "constructionYear": "1961",
      "houseSurfaceAreaSquareMeters": "131",
      "cadastralParcelArea": "1605",
      "volumeInCubicMeters": "548",
      "homeType": {
        "codelist": "ADNTYP",
        "code": "2"
      },
      "buildingPurpose": {
        "codelist": "ADNBSM",
        "description": "Wonen",
        "code": "17"
      },
      "rebuildCost": "578260",
      "numberRooms": null,
      "constructionOfWalls": {
        "codelist": "ADNBMU",
        "description": "Steen",
        "code": "T"
      },
      "constructionOfFloors": {
        "codelist": "ADNBVL",
        "description": "Steen/beton",
        "code": "S"
      },
      "constructionOfRoof": {
        "codelist": "ADNBDA",
        "description": "Pannen",
        "code": "P"
      }
    }
  }
}
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
	"Output": "The given house address was not found in database."
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				"housenumber"
			],
			"msg": "value is not a valid integer",
			"type": "type_error.integer"
		}
	]
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Forbidden"
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoeken

```
{
   "postcode" : "2771DS",
   "housenumber" : "87",
   "houseaddition":""
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.altum.ai/verzekeren/herbouwwaarde-api/authenticatie-invoer-en-resultaat.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
